Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518957 - Review request: esteidcerts - Estonian ID card root, intermediate and OCSP certificates
Summary: Review request: esteidcerts - Estonian ID card root, intermediate and OCSP ce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1519747
TreeView+ depends on / blocked
 
Reported: 2017-11-29 21:17 UTC by Germano Massullo
Modified: 2018-01-30 17:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 17:32:24 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2017-11-29 21:17:49 UTC
Review request to bring back into Fedora reporitories retired esteidcerts[1] package

esteidcerts - Estonian ID card root, intermediate and OCSP certificates

[1]: https://src.fedoraproject.org/rpms/esteidcerts
spec file https://src.fedoraproject.org/rpms/esteidcerts/blob/f25/f/esteidcerts.spec
src rpm file https://kojipkgs.fedoraproject.org//packages/esteidcerts/3.8.0.9128/5.fc26/src/esteidcerts-3.8.0.9128-5.fc26.src.rpm

Comment 1 Robert-André Mauchin 2017-12-03 15:33:08 UTC
All good, package accepted.

Comment 2 Germano Massullo 2017-12-09 22:51:41 UTC
you should fill the checklist you get from fedora-review command

Comment 3 Robert-André Mauchin 2017-12-09 23:04:32 UTC
Buildarch: should be BuildArch:

Also you should probably add your own %changelog entry.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/esteidcerts
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 40 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/esteidcerts
     /review-esteidcerts/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: esteidcerts-3.8.0.9128-4.fc28.noarch.rpm
          esteidcerts-test-3.8.0.9128-4.fc28.noarch.rpm
          esteidcerts-3.8.0.9128-4.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 Juha Tuomala 2017-12-10 13:40:19 UTC
Germano, stop adding me to your reports and stop sending me emails, you have shown that you don't listen other's opinions and you're unable to work together with this, I'm not going to waste my time with you.

Comment 5 Germano Massullo 2017-12-10 13:51:15 UTC
(In reply to Juha Tuomala from comment #4)
> you have shown that you don't listen other's opinions and you're unable to work
> together with this

Your very personal opinion

Comment 6 Juha Tuomala 2017-12-10 14:04:59 UTC
(In reply to Germano Massullo from comment #5)
> Your very personal opinion

Exactly, so keep me out.

Comment 7 Germano Massullo 2017-12-10 15:51:33 UTC
https://pagure.io/releng/issue/7203

Comment 8 Germano Massullo 2018-01-30 17:32:24 UTC
Fixed
https://bodhi.fedoraproject.org/updates/FEDORA-2018-913daabed0


Note You need to log in before you can comment on or make changes to this bug.